<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Dispatcher Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_dispatcher.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_dispatcher-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Dispatcher Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a system for dispatching code to execute on the main thread.  
 <a href="class_tri_lib_1_1_dispatcher.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Dispatcher:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_dispatcher.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae3daa39eca17e6f2aad1f743785317b2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_dispatcher.html#ae3daa39eca17e6f2aad1f743785317b2">CheckInstance</a> ()</td></tr>
<tr class="memdesc:ae3daa39eca17e6f2aad1f743785317b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there is any instance.  <a href="class_tri_lib_1_1_dispatcher.html#ae3daa39eca17e6f2aad1f743785317b2">More...</a><br /></td></tr>
<tr class="separator:ae3daa39eca17e6f2aad1f743785317b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c0e53aa3b8051c2368e38d23a37f132"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_dispatcher.html#a5c0e53aa3b8051c2368e38d23a37f132">InvokeAsync</a> (Action action)</td></tr>
<tr class="memdesc:a5c0e53aa3b8051c2368e38d23a37f132"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queues an action to be invoked on the main game thread.  <a href="class_tri_lib_1_1_dispatcher.html#a5c0e53aa3b8051c2368e38d23a37f132">More...</a><br /></td></tr>
<tr class="separator:a5c0e53aa3b8051c2368e38d23a37f132"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a system for dispatching code to execute on the main thread. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae3daa39eca17e6f2aad1f743785317b2" name="ae3daa39eca17e6f2aad1f743785317b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3daa39eca17e6f2aad1f743785317b2">&#9670;&nbsp;</a></span>CheckInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void TriLib.Dispatcher.CheckInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if there is any instance. </p>

</div>
</div>
<a id="a5c0e53aa3b8051c2368e38d23a37f132" name="a5c0e53aa3b8051c2368e38d23a37f132"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c0e53aa3b8051c2368e38d23a37f132">&#9670;&nbsp;</a></span>InvokeAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void TriLib.Dispatcher.InvokeAsync </td>
          <td>(</td>
          <td class="paramtype">Action&#160;</td>
          <td class="paramname"><em>action</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queues an action to be invoked on the main game thread. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>The action to be queued.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_dispatcher_8cs.html">Dispatcher.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_dispatcher.html">Dispatcher</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
